This discussion is archived
0 Replies Latest reply: Apr 30, 2013 3:01 AM by 1006296 RSS

unable to install system/header

1006296 Newbie
Currently Being Moderated
Hello,

on a NG-zone I try to install package system/header:

# pkg install system/header
Creating Plan (Running solver): -
Traceback (most recent call last):
File "/usr/bin/pkg", line 6498, in handle_errors
__ret = func(*args, **kwargs)
File "/usr/bin/pkg", line 6481, in main_func
pargs=pargs, **opts)
File "/usr/bin/pkg", line 2615, in install
update_index=update_index)
File "/usr/bin/pkg", line 1759, in __api_op
verbose=verbose, **kwargs)
File "/usr/bin/pkg", line 1646, in __api_plan
rv = __api_plan_exception(_op, noexecute, verbose, apiinst)
File "/usr/bin/pkg", line 1622, in __api_plan
for pd in api_plan_func(**kwargs):
File "/usr/lib/python2.6/vendor-packages/pkg/client/api.py", line 1135, in __plan_op
log_op_end_all=True)
File "/usr/lib/python2.6/vendor-packages/pkg/client/api.py", line 901, in __plan_common_exception
raise
TypeError: exceptions must be old-style classes or derived from BaseException, not NoneType


pkg: This is an internal error in pkg(5) version 907fe02baa47. Please log a
Service Request about this issue including the information above and this
message.

The zone has been upgraded from Solaris 11/11 recently:

# pkg info entire
Name: entire
Summary: entire incorporation including Support Repository Update (Oracle Solaris 11.1 SRU 3.5.1).
Description: This package constrains system package versions to the same
build. WARNING: Proper system update and correct package
selection depend on the presence of this incorporation.
Removing this package will result in an unsupported system. For
more information see https://support.oracle.com/CSP/main/article
?cmd=show&type=NOT&doctype=REFERENCE&id=1501435.1.
Category: Meta Packages/Incorporations
State: Installed
Publisher: solaris
Version: 0.5.11 (Oracle Solaris 11.1 SRU 3.5.1)
Build Release: 5.11
Branch: 0.175.1.3.0.5.1
Packaging Date: Fri Jan 18 01:40:08 2013
Size: 5.46 kB
FMRI: pkg://solaris/entire@0.5.11,5.11-0.175.1.3.0.5.1:20130118T014008Z


Installation of system/headers has been successfully on another zone on the same physical host as well as on the host itself.

Also I noticed on the zones and on the host:

pkg verify simplejson-26
PACKAGE STATUS
pkg://solaris/library/python-2/simplejson-26 ERROR
file: usr/lib/python2.6/vendor-packages/simplejson/encoder.pyc
Group: 'root (0)' should be 'bin (2)'
Size: 16086 bytes should be 16044
Hash: 618f38bdd2e30eed2723a1e20c341d433ed1dd4a should be a78bf9dc1b28a195dbe67bd59d6a0359f45a00dd
file: usr/lib/python2.6/vendor-packages/simplejson/__init__.pyc
Group: 'root (0)' should be 'bin (2)'
Size: 16788 bytes should be 16772
Hash: fd32482d3bdbf5467355407047d3477d63131c1f should be 6f945b01fb1badedf36a10cfb6be6905350215db
file: usr/lib/python2.6/vendor-packages/simplejson/scanner.pyc
Group: 'root (0)' should be 'bin (2)'
Size: 2796 bytes should be 2786
Hash: 88cae807fbbc255cc7ddab6293010d87cf6802ae should be ddb2d55a8d9eda724c2a7c73851da78f2caefa0d
file: usr/lib/python2.6/vendor-packages/simplejson/ordered_dict.pyc
Group: 'root (0)' should be 'bin (2)'
Size: 5190 bytes should be 5154
Hash: 5b80defd64f703fd3fe3986c92df07ec8ab05aa1 should be 9ebbc1bd021ca53f4a085b3116ea5124da49e7d3
file: usr/lib/python2.6/vendor-packages/simplejson/decoder.pyc
Group: 'root (0)' should be 'bin (2)'
Size: 13656 bytes should be 13628
Hash: dbf03b864745add55d9f036102ec10c602edb873 should be dbd6db0c3db6bfb61ab68ffa87f085a72aedc592

But I do not know if these errors are related to the error mentioned above.

Thanks for any hint!
Heiko

Legend

  • Correct Answers - 10 points
  • Helpful Answers - 5 points